'-r', remove job, works better.
authorviric@llimona
Tue, 27 Mar 2007 22:54:30 +0200
changeset 54 74671342eb9e
parent 53 731c41817842
child 55 678ca291d545
'-r', remove job, works better.
TODO
jobs.c
testbench.sh
--- a/TODO	Tue Mar 27 22:47:09 2007 +0200
+++ b/TODO	Tue Mar 27 22:54:30 2007 +0200
@@ -3,6 +3,7 @@
 v0.3:
  - Allow sending the output by mail
  - Allow gzipping the output
+ - Allow killing 'ts' in a nice way.
 v0.2.1:
  -* Fixed a bug in the wait-notifications.
  -* Improved the compilation, including almost all the proper files.
--- a/jobs.c	Tue Mar 27 22:47:09 2007 +0200
+++ b/jobs.c	Tue Mar 27 22:54:30 2007 +0200
@@ -480,11 +480,6 @@
     before_p->next = p->next;
     free(p);
     m.type = REMOVEJOB_OK;
-    if (!p->store_output)
-    {
-        send_list_line(s, "The job hasn't output stored.\n");
-        return;
-    }
     send_msg(s, &m);
 }
 
--- a/testbench.sh	Tue Mar 27 22:47:09 2007 +0200
+++ b/testbench.sh	Tue Mar 27 22:54:30 2007 +0200
@@ -83,4 +83,21 @@
   exit 1
 fi
 
+# Test remove job
 ./ts -K
+./ts sleep 1 &&
+./ts ls 1 &&
+./ts ls 2 &&
+./ts -r 1 &&
+./ts -r &&
+./ts sleep 1 &&
+./ts -n ls > /dev/null &&
+./ts -n ls 2 > /dev/null &&
+./ts -r &&
+./ts -w
+if [ $? -ne 0 ]; then
+  echo "Error in remove job."
+  exit 1
+fi
+
+./ts -K